Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 641018 - Review Request: rubygem-nanoc3 - A web publishing system written in Ruby
Summary: Review Request: rubygem-nanoc3 - A web publishing system written in Ruby
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 641015
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-10-07 14:35 UTC by Michal Fojtik
Modified: 2013-05-01 15:20 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-05-01 15:20:46 UTC


Attachments (Terms of Use)

Description Michal Fojtik 2010-10-07 14:35:31 UTC
Spec URL: http://mifo.sk/RPMS/rubygem-nanoc3.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-nanoc3-3.1.5-1.fc13.src.rpm
Description:

A web publishing system written in Ruby for building small to medium-sized
websites.

Comment 1 Mamoru TASAKA 2010-10-20 20:21:07 UTC
Some questions first:

* About Requires related to lib/nanoc3/filters/
  - Are Requires related to lib/nanoc3/filers always required
    for this rpm? 
    According to lib/nanoc3/filters.rb, filter scripts under lib/nanoc3/
    are loaded only when actually using such filters, and when not
    using such filters the listed rpms don't seem to be needed.

  - And for the same reason, do filters of which the dependencies
    are not found on Fedora really have to be removed?
    The filter scripts don't seem to be loaded automatically.

Comment 2 Michal Fojtik 2010-10-21 15:40:24 UTC
(In reply to comment #1)
> Some questions first:
> 
> * About Requires related to lib/nanoc3/filters/
>   - Are Requires related to lib/nanoc3/filers always required
>     for this rpm? 
>     According to lib/nanoc3/filters.rb, filter scripts under lib/nanoc3/
>     are loaded only when actually using such filters, and when not
>     using such filters the listed rpms don't seem to be needed.

Yes that true. But to guarantee basic functionality for user, it's necessary to include that gems. Otherwise functionality that is related with those gems will be not available.
And if they are already packaged for Fedora, I can't see the reason for omitting them as a dependencies.

> 
>   - And for the same reason, do filters of which the dependencies
>     are not found on Fedora really have to be removed?
>     The filter scripts don't seem to be loaded automatically.

That's correct. I will keep all those filters here.

Comment 3 Mamoru TASAKA 2010-10-21 17:41:52 UTC
(In reply to comment #2)
> (In reply to comment #1)
> > Some questions first:
> > 
> > * About Requires related to lib/nanoc3/filters/
> >   - Are Requires related to lib/nanoc3/filers always required
> >     for this rpm? 
> >     According to lib/nanoc3/filters.rb, filter scripts under lib/nanoc3/
> >     are loaded only when actually using such filters, and when not
> >     using such filters the listed rpms don't seem to be needed.
> 
> Yes that true. But to guarantee basic functionality for user, 

- So yes, we want to make rpms installed which is needed for "basic"
  functionality on this gem, however are all scripts under lib/nanoc3/filters
  classified as "basic" functionality for this rpm?
  For example, even without the rpms for the dependency of filters
  installed at all, 
  $ ruby -rubygems -e 'require "nanoc3" ; puts Nanoc3::VERSION'
  works.

> it's necessary to
> include that gems. Otherwise functionality that is related 
> with those gems will be not available.

- Just by default. So people can install the needed rpms afterwards
  when people wants to use the functionality.

> And if they are already packaged for Fedora, I can't see the reason for
> omitting them as a dependencies.

- For people not using all of the filter functionality, not using
  unneeded rpms if possible is preferable.

Comment 4 Mamoru TASAKA 2010-11-05 17:34:50 UTC
ping?

Comment 5 Mamoru TASAKA 2010-11-13 17:22:04 UTC
ping again?

Comment 6 Mamoru TASAKA 2010-11-20 17:53:14 UTC
Again ping?

Comment 7 Mamoru TASAKA 2010-11-27 16:23:40 UTC
I will close this bug as NOTABUG if no response is received
from the reporter within ONE WEEK.

Comment 8 Michal Fojtik 2010-11-29 09:18:25 UTC
(In reply to comment #7)
> I will close this bug as NOTABUG if no response is received
> from the reporter within ONE WEEK.

Hi, I was terribly busy last few weeks, sorry for this horrible delay. So I removed all filter dependencies and also bump version to 3.1.6.
I keep rack dependency because it's required for 'server' functionality.


======================= 3.1.6-1 =======================

* Mon Nov 29 2010 Michal Fojtik <mfojtik@redhat.com> - 3.1.6-1
- Removed filter dependencies
- Version bump

Spec URL: http://mifo.sk/RPMS/rubygem-nanoc3.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-nanoc3-3.1.6-1.fc14.src.rpm

Comment 9 Mamoru TASAKA 2010-12-10 19:04:54 UTC
Sorry, it seems I have forgotton this review.
Then how about this issue?

(In reply to comment #2)
> >   - And for the same reason, do filters of which the dependencies
> >     are not found on Fedora really have to be removed?
> >     The filter scripts don't seem to be loaded automatically.
> 
> That's correct. I will keep all those filters here.

So I think the lines like
--------------------------------------------------------------
    51  rm -f %{buildroot}/%{geminstdir}/lib/nanoc3/filters/sass.rb
---------------------------------------------------------------
are not needed.

Comment 10 Jason Tibbitts 2012-04-25 04:23:53 UTC
Anything happening here?  The links in comment 8 are dead, and of course we have all-new Ruby packaging guidelines now.

Marking this as NotReady since there's nothing currently to review; please clear the whiteboard if providing a package.


Note You need to log in before you can comment on or make changes to this bug.